/* fonts */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Pacifico&display=swap");
/* reset */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video,
textarea, input {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  box-sizing: border-box; }

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block; }

ol, ul {
  list-style: none; }

.textarea {
  border: none;
  overflow: auto;
  outline: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none; }

.hide {
  display: none !important; }

.unselectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none; }

/* base */
:root {
  --red: #e5262c;
  --red-hover: #b5171c;
  --color-text: #41180f;
  --font-size: 21px;
  --font-family: "Montserrat";
  --max-width: 1280px; }

body {
  line-height: 1;
  font-size: var(--font-size);
  font-family: var(--font-family), sans-serif;
  font-style: normal;
  display: flex;
  justify-content: center; }
  @media screen and (min-width: 1171px) {
    body {
      overflow-x: hidden; } }
  @media screen and (max-width: 1170px) {
    body {
      background-color: #986345; } }

html, .app {
  overflow-x: hidden; }

.container {
  max-width: var(--max-width);
  width: 100%;
  margin: 0 auto; }

/* blocks */
.app {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 1920px;
  width: 100%; }
  .app__bg {
    position: absolute;
    top: 0;
    left: 50%;
    z-index: -1;
    min-width: 100%;
    transform: translateX(-50%); }
    @media screen and (max-width: 1170px) {
      .app__bg {
        top: -40px;
        max-height: 1344px; }
        .app__bg img {
          min-width: 100%; } }
  .app__bg-brown {
    display: none; }
    @media screen and (max-width: 1170px) {
      .app__bg-brown {
        display: block;
        position: absolute;
        top: 1206px;
        left: 50%;
        z-index: 0;
        min-width: 100%;
        transform: translateX(-50%);
        height: auto;
        width: auto; } }

.header {
  padding-top: 20px;
  width: 100%;
  height: 159px; }
  @media screen and (max-width: 1170px) {
    .header {
      height: 206px; } }
  .header__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%; }
    @media screen and (max-width: 1170px) {
      .header__container {
        flex-direction: column;
        justify-content: center; } }
  .header__nav {
    display: flex; }
  .header__link {
    margin-right: 25px; }
    @media screen and (max-width: 1170px) {
      .header__link {
        margin-right: 65px; } }
    .header__link:last-child {
      margin-right: 0; }
  .header__logo {
    position: absolute;
    top: 20px;
    left: 50%;
    transform: translateX(-50%); }
    @media screen and (max-width: 1170px) {
      .header__logo {
        margin-top: 6px;
        position: static;
        transform: none; } }
  .header__play {
    display: flex;
    justify-content: center;
    align-items: center;
    font-style: normal;
    font-weight: bold;
    font-size: 19px;
    line-height: 27px;
    text-align: right;
    text-transform: uppercase;
    color: #41180F;
    text-decoration: none;
    cursor: pointer; }
    .header__play::before {
      content: "";
      display: block;
      background-image: url("../../img/icon/play.svg");
      background-size: 100%;
      width: 34px;
      height: 34px;
      margin-right: 14px; }
    @media screen and (max-width: 1170px) {
      .header__play {
        margin-top: 16px;
        font-size: 19px;
        line-height: 27px; }
        .header__play::before {
          width: 24px;
          height: 24px;
          margin-right: 11px; } }

.content {
  margin-top: 100px;
  padding-top: 20px; }
  @media screen and (max-width: 1170px) {
    .content {
      margin-top: 20px;
      padding-top: 20px; } }

.footer {
  height: 250px;
  background: #986345;
  width: 100%;
  margin-top: -137px;
  display: flex;
  align-items: flex-end;
  color: white;
  text-align: center;
  padding-bottom: 20px;
  justify-content: center;
  line-height: 1.3;
  font-size: 16px; }
  @media screen and (max-width: 1170px) {
    .footer {
      background: transparent; } }

/* partials */
.logo__img {
  width: 264px; }
  @media screen and (max-width: 1170px) {
    .logo__img {
      width: 212px; } }

.constructor {
  position: relative; }
  .constructor__section-blue {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    position: relative; }
    @media screen and (max-width: 1170px) {
      .constructor__section-blue {
        flex-direction: column;
        align-items: center; } }
  .constructor__questions {
    padding-top: 30px;
    margin-top: 170px;
    margin-left: auto;
    margin-right: auto; }
    @media screen and (max-width: 1170px) {
      .constructor__questions {
        margin-top: 98px;
        max-width: 306px; } }
  .constructor__nav {
    max-width: 560px;
    width: 100%;
    margin-left: 100px;
    margin-top: 15px; }
    @media screen and (max-width: 1170px) {
      .constructor__nav {
        margin-left: 0;
        margin-top: 20px; } }
    .constructor__nav button:first-child {
      margin-bottom: 12px; }
  .constructor__description {
    font-weight: 500;
    font-size: 21px;
    line-height: 29px;
    color: var(--color-text);
    margin-bottom: 15px; }
    @media screen and (max-width: 1170px) {
      .constructor__description {
        display: none; } }
    .constructor__description-mob {
      display: none; }
      @media screen and (max-width: 1170px) {
        .constructor__description-mob {
          display: block;
          max-width: 306px;
          text-align: center;
          font-size: 15px;
          line-height: 21px; } }
  .constructor__description-italic {
    font-size: 21px;
    line-height: 29px;
    font-style: italic;
    margin-top: 10px;
    padding-left: 15px;
    padding-right: 15px; }
    @media screen and (max-width: 1170px) {
      .constructor__description-italic {
        font-size: 15px;
        line-height: 21px;
        margin-top: 15px;
        text-align: center; } }
  .constructor__buttons {
    display: flex;
    justify-content: space-between; }
    @media screen and (max-width: 1170px) {
      .constructor__buttons {
        flex-direction: column;
        justify-content: center;
        align-items: center; } }
  .constructor__img {
    position: absolute;
    bottom: -56px;
    right: 15px;
    max-width: 602px; }
    @media screen and (max-width: 1170px) {
      .constructor__img {
        position: static;
        max-width: 308px;
        margin-top: 8px; } }
    .constructor__img img {
      width: 100%; }
  .constructor__butt-create {
    margin: 55px auto 0; }
  .constructor__card {
    margin-top: 15px;
    margin-left: 35px; }
    @media screen and (max-width: 1170px) {
      .constructor__card {
        margin-left: 0; } }

.card {
  background-image: url("../../img/frame.png");
  background-size: 100% 100%;
  width: 399px;
  height: 680px;
  padding: 16px; }
  @media screen and (max-width: 1170px) {
    .card {
      width: 301px;
      height: 513px;
      padding: 12px;
      background-image: url("../../img/frame.png"); } }
  .card__rectangle {
    border: 2px solid #986345;
    width: 100%;
    height: 100%;
    background-color: #fff; }
  .card__upload {
    padding-top: 58px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    height: 345px; }
    @media screen and (max-width: 1170px) {
      .card__upload {
        padding-top: 75px;
        height: 261px; } }
    .card__upload_icon {
      width: 70px;
      height: 55px;
      background-image: url("../../img/icon/picture.svg");
      background-size: cover;
      margin: 0 auto; }
      @media screen and (max-width: 1170px) {
        .card__upload_icon {
          width: 53px;
          height: 42px; } }
    .card__upload_text {
      margin-top: 15px;
      font-weight: bold;
      font-size: 42px;
      line-height: 51px;
      text-align: center;
      text-decoration-line: underline;
      text-transform: uppercase;
      color: var(--red);
      cursor: pointer; }
      @media screen and (max-width: 1170px) {
        .card__upload_text {
          font-size: 28px;
          line-height: 34px; } }
      .card__upload_text:hover {
        text-decoration-line: none;
        color: var(--red-hover); }
  .card__text {
    background-color: var(--red);
    color: white;
    font-weight: 500;
    font-size: 21px;
    line-height: 29px;
    height: 136px;
    cursor: pointer;
    position: relative; }
    .card__text div {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      text-align: center;
      padding: 15px;
      width: 100%;
      font-family: 'Pacifico', cursive; }
    @media screen and (max-width: 1170px) {
      .card__text {
        height: 102px;
        font-size: 19px;
        line-height: 29px; } }
  .card__img {
    width: 100%;
    height: 163px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-image: url("../../img/card_img.jpg");
    background-size: cover;
    position: relative; }
    @media screen and (max-width: 1170px) {
      .card__img {
        height: 122px; } }
    .card__img::before {
      content: "";
      display: block;
      width: 119px;
      height: 89px;
      background-image: url("../../img/card_img_text.png");
      background-size: cover;
      position: absolute;
      top: 36px;
      right: 32px;
      z-index: 1; }
      @media screen and (max-width: 1170px) {
        .card__img::before {
          width: 89px;
          height: 67px;
          top: 27px;
          right: 27px; } }
  @media screen and (min-width: 1px) {
    .card-clone {
      position: fixed;
      top: 0;
      left: 0;
      width: calc(399px * 4);
      height: calc(680px * 4);
      padding: calc(16px * 4); }
      .card-clone .card__rectangle {
        border: 8px solid #986345; }
      .card-clone .card__upload {
        height: calc(345px * 4); }
      .card-clone .card__text {
        height: calc(136px * 4);
        font-size: calc(21px * 4);
        line-height: calc(29px * 4); }
        .card-clone .card__text div {
          padding: calc(15px * 4); }
      .card-clone .card__img {
        height: calc(163px * 4); }
      .card-clone .card__img::before {
        width: calc(119px * 4);
        height: calc(89px * 4);
        top: calc(36px * 4);
        right: calc(32px * 4); } }

/* elements */
.link {
  color: var(--red);
  padding-left: 48px;
  position: relative;
  font-weight: normal;
  font-size: 19px;
  line-height: 27px;
  text-decoration: none;
  display: flex;
  align-items: center; }
  @media screen and (max-width: 1170px) {
    .link {
      padding-left: 35px;
      font-size: 15px;
      line-height: 27px; } }
  .link::before {
    content: "";
    display: block;
    width: 34px;
    height: 34px;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%); }
    @media screen and (max-width: 1170px) {
      .link::before {
        width: 24px;
        height: 24px; } }
  .link-instagram::before {
    background-image: url("../../img/icon/instagram.svg"); }
  .link-site::before {
    background-image: url("../../img/icon/site.svg"); }
  .link-play {
    text-transform: uppercase;
    color: var(--color-text);
    font-weight: bold; }
    .link-play::before {
      background-image: url("../../img/icon/play.svg"); }

.butt {
  border: none;
  height: 69px;
  border-radius: 50px;
  font-weight: bold;
  font-size: 19px;
  line-height: 23px;
  text-align: center;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  cursor: pointer;
  position: relative; }
  @media screen and (max-width: 1170px) {
    .butt {
      height: 53px;
      font-size: 15px;
      line-height: 19px; } }
  .butt-red {
    background-color: var(--red);
    color: white;
    padding: 0 18px;
    width: 288px;
    justify-content: center; }
    @media screen and (max-width: 1170px) {
      .butt-red {
        padding: 0 15px;
        width: 250px; } }
    .butt-red:hover {
      background-color: var(--red-hover); }
  .butt-share {
    background-color: transparent;
    color: var(--red);
    padding: 0 18px;
    width: 260px;
    border: 3px solid var(--red);
    justify-content: center; }
    .butt-share.disabled::before {
      background-image: url("../../img/icon/instagram_disabled.svg") !important; }
    @media screen and (max-width: 1170px) {
      .butt-share {
        width: 215px;
        padding: 0 25px; } }
    .butt-share:hover {
      color: var(--red-hover);
      border: 3px solid var(--red-hover); }
      .butt-share:hover::before {
        background-image: url("../../img/icon/instagram_hover.svg"); }
    .butt-share::before {
      content: "";
      display: inline-block;
      width: 37px;
      height: 37px;
      background-image: url("../../img/icon/instagram.svg");
      background-size: 100% 100%;
      margin-right: 16px; }
      @media screen and (max-width: 1170px) {
        .butt-share::before {
          width: 24px;
          height: 24px;
          margin-right: 9px; } }
  .butt-generate {
    background: white;
    width: 280px;
    justify-content: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); }
    @media screen and (max-width: 1170px) {
      .butt-generate {
        width: 235px; } }

.question {
  display: flex;
  position: relative; }
  .question__my_text {
    height: 86px;
    width: 100%;
    font-size: 19px;
    padding: 8px;
    resize: none;
    border: none;
    border-radius: 10px;
    line-height: 1.25;
    color: #41180f;
    max-width: 400px; }
    @media screen and (max-width: 1170px) {
      .question__my_text {
        font-size: 18px;
        height: 108px; } }
    .question__my_text:focus {
      outline: 0; }
  @media screen and (max-width: 1170px) {
    .question {
      flex-direction: column;
      align-items: center; } }
  .question:first-child {
    margin-bottom: 44px;
    height: 275px; }
    @media screen and (max-width: 1170px) {
      .question:first-child {
        height: auto;
        margin-bottom: 20px; } }
  .question:nth-child(2n + 1)::before {
    position: absolute;
    top: 113px;
    left: 17px;
    content: "";
    display: block;
    background-image: url("../../img/line_1.svg");
    background-size: cover;
    width: 251px;
    height: 245px; }
    @media screen and (max-width: 1170px) {
      .question:nth-child(2n + 1)::before {
        display: none;
        height: auto; } }
  .question:nth-child(2n+2) {
    margin-bottom: 20px;
    margin-left: 285px;
    height: 250px; }
    @media screen and (max-width: 1170px) {
      .question:nth-child(2n+2) {
        height: auto;
        margin-left: 0; } }
  .question:nth-child(2n + 2)::before {
    position: absolute;
    top: 109px;
    left: -275px;
    content: "";
    display: block;
    background-image: url("../../img/line_2.svg");
    background-size: cover;
    width: 368px;
    height: 159px; }
    @media screen and (max-width: 1170px) {
      .question:nth-child(2n + 2)::before {
        display: none; } }
  .question:nth-child(2n + 3) {
    margin-bottom: 20px;
    height: 250px; }
    @media screen and (max-width: 1170px) {
      .question:nth-child(2n + 3) {
        height: auto; } }
  .question:last-child {
    margin-bottom: 0;
    height: auto; }
  .question:last-child::before {
    display: none; }
  .question__answer {
    display: flex;
    flex-direction: column; }
    .question__answer label {
      margin-bottom: 19px;
      font-size: 19px;
      line-height: 27px; }
      @media screen and (max-width: 1170px) {
        .question__answer label {
          font-size: 15px;
          line-height: 21px; } }
      .question__answer label:last-child {
        margin-bottom: 0; }
  .question__number {
    width: 102px;
    height: 102px;
    border-radius: 50%;
    background-color: white;
    font-weight: bold;
    font-size: 68px;
    line-height: 83px;
    text-align: center;
    text-transform: uppercase;
    color: var(--red);
    display: flex;
    justify-content: center;
    align-items: center; }
    @media screen and (max-width: 1170px) {
      .question__number {
        width: 54px;
        height: 54px;
        font-size: 32px;
        line-height: 39px; } }
    .question__number-one {
      padding: 0 0 2px 9px; }
      @media screen and (max-width: 1170px) {
        .question__number-one {
          padding: 0 0 0 5px; } }
  .question__content {
    color: white;
    font-weight: 500;
    font-size: 21px;
    line-height: 29px;
    width: calc(100% - 125px);
    padding-left: 23px;
    padding-top: 24px; }
    @media screen and (max-width: 1170px) {
      .question__content {
        width: 100%;
        padding-left: 0;
        padding-top: 20px; } }
  .question__title {
    max-width: 735px;
    margin-bottom: 20px;
    font-weight: 500;
    font-size: 21px;
    line-height: 29px;
    display: flex;
    flex-direction: column; }
    @media screen and (max-width: 1170px) {
      .question__title {
        text-align: center;
        font-size: 19px;
        line-height: 25px; } }
  .question__textarea {
    width: 100%;
    max-width: 500px;
    height: 70px;
    border-radius: 10px;
    font-weight: bold;
    font-size: 32px;
    line-height: 1.25;
    color: #41180f;
    padding: 15px 10px;
    text-transform: uppercase;
    text-align: center; }
    @media screen and (max-width: 1170px) {
      .question__textarea {
        font-size: 28px;
        padding: 17px 10px; } }

.radio {
  position: relative;
  padding-left: 45px;
  font-size: 19px;
  line-height: 27px;
  cursor: pointer; }
  @media screen and (max-width: 1170px) {
    .radio {
      padding-left: 37px; } }
  .radio input[type=radio] {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    z-index: 0; }
  .radio input[type=radio]:checked ~ :after {
    content: "";
    display: block;
    width: 19px;
    height: 19px;
    border-radius: 50%;
    overflow: hidden;
    background-color: var(--red);
    position: absolute;
    top: 5px;
    left: 5px;
    z-index: 2; }
    @media screen and (max-width: 1170px) {
      .radio input[type=radio]:checked ~ :after {
        width: 15px;
        height: 15px;
        top: 4px;
        left: 4px; } }
  .radio::before {
    content: "";
    display: block;
    width: 29px;
    height: 29px;
    border-radius: 50%;
    overflow: hidden;
    background-color: white;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1; }
    @media screen and (max-width: 1170px) {
      .radio::before {
        width: 23px;
        height: 23px; } }

.upload {
  position: relative;
  overflow: hidden; }
  .upload__file {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    cursor: pointer; }
  .upload__img {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 0;
    width: 100%;
    height: auto;
    transform: translate(-50%, -50%); }

div.error {
  color: var(--red); }

.textarea.error {
  border: 2px solid var(--red); }

.disabled {
  color: var(--color-text) !important;
  background: #efefef !important;
  border: none !important;
  outline: 0; }

.refresh::before {
  content: "";
  display: block;
  position: absolute;
  top: 8px;
  right: 5px;
  width: 35px;
  height: 35px;
  z-index: 3;
  background-image: url("../../img/refresh.png");
  background-size: cover; }
  @media screen and (max-width: 1170px) {
    .refresh::before {
      top: 6px;
      right: 4px;
      width: 24px;
      height: 24px; } }

.preloader {
  display: flex;
  justify-content: center; }
  .preloader-dev {
    padding-top: 30px; }
    @media screen and (max-width: 1170px) {
      .preloader-dev {
        display: none; } }
  .preloader-mob {
    padding-bottom: 20px; }
    @media screen and (min-width: 1170px) {
      .preloader-mob {
        display: none; } }
